pip install pyTelegramBotAPI

Языки программирования, IDE, компиляторы, интерпретаторы, гипервизоры и виртуальные среды
Правила форума
Как правильно задавать вопросы Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа. Общая рекомендация по составлению тем: 1. Версия ОС вместе с разрядностью. Пример: LM 18.1 x64, LM Sarah x32 2. DE. Если вопрос касается двух, то через запятую. (xfce, KDE, cinnamon, mate) 3. Какое железо. (достаточно вывод inxi -Fxz в спойлере (как пользоваться спойлером смотрим здесь)) или же дать ссылку на hw-probe 4. Суть. Желательно с выводом консоли, логами. 5. Скрин. Просьба указывать 1, 2 и 3 независимо от того, имеет ли это отношение к вопросу или нет. Так же не забываем об общих правилах Как пример вот

Автор темы
GasMan
Сообщения: 27
Зарегистрирован: 12 окт 2017, 18:56
Благодарил (а): 1 раз

pip install pyTelegramBotAPI

Сообщение GasMan » 17 фев 2018, 17:21

Всем привет, пытаюсь добавить библиотеку в питон, но что бы не пытался ничего не выходит, поискав в интернете найти решений не смог
У вас нет необходимых прав для просмотра вложений в этом сообщении.


etamax
Сообщения: 381
Зарегистрирован: 16 дек 2017, 18:59
Решено: 3
Благодарил (а): 1 раз
Поблагодарили: 28 раз

pip install pyTelegramBotAPI

Сообщение etamax » 17 фев 2018, 17:38

pip3


Автор темы
GasMan
Сообщения: 27
Зарегистрирован: 12 окт 2017, 18:56
Благодарил (а): 1 раз

pip install pyTelegramBotAPI

Сообщение GasMan » 17 фев 2018, 17:41

etamax, тоже самое, пробовал(
У вас нет необходимых прав для просмотра вложений в этом сообщении.


etamax
Сообщения: 381
Зарегистрирован: 16 дек 2017, 18:59
Решено: 3
Благодарил (а): 1 раз
Поблагодарили: 28 раз

pip install pyTelegramBotAPI

Сообщение etamax » 17 фев 2018, 17:56

apt install python-pip
apt install python-setuptools
sudo pip install pyTelegramBotAPI
The directory '/home/msuser/.cache/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
The directory '/home/msuser/.cache/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
Collecting pyTelegramBotAPI
Downloading pyTelegramBotAPI-3.5.2.tar.gz (51kB)
100% |████████████████████████████████| 61kB 323kB/s
Collecting requests (from pyTelegramBotAPI)
Downloading requests-2.18.4-py2.py3-none-any.whl (88kB)
100% |████████████████████████████████| 92kB 469kB/s
Requirement already satisfied: six in /usr/lib/python2.7/dist-packages (from pyTelegramBotAPI)
Collecting certifi>=2017.4.17 (from requests->pyTelegramBotAPI)
Downloading certifi-2018.1.18-py2.py3-none-any.whl (151kB)
100% |████████████████████████████████| 153kB 383kB/s
Collecting chardet<3.1.0,>=3.0.2 (from requests->pyTelegramBotAPI)
Downloading chardet-3.0.4-py2.py3-none-any.whl (133kB)
100% |████████████████████████████████| 143kB 357kB/s
Collecting idna<2.7,>=2.5 (from requests->pyTelegramBotAPI)
Downloading idna-2.6-py2.py3-none-any.whl (56kB)
100% |████████████████████████████████| 61kB 285kB/s
Collecting urllib3<1.23,>=1.21.1 (from requests->pyTelegramBotAPI)
Downloading urllib3-1.22-py2.py3-none-any.whl (132kB)
100% |████████████████████████████████| 133kB 221kB/s
Installing collected packages: certifi, chardet, idna, urllib3, requests, pyTelegramBotAPI
Found existing installation: chardet 2.3.0
Uninstalling chardet-2.3.0:
Successfully uninstalled chardet-2.3.0
Found existing installation: idna 2.0
Uninstalling idna-2.0:
Successfully uninstalled idna-2.0
Running setup.py install for pyTelegramBotAPI ... done
Successfully installed certifi-2018.1.18 chardet-3.0.4 idna-2
https://kostya.co/create-first-telegram-bot/


Автор темы
GasMan
Сообщения: 27
Зарегистрирован: 12 окт 2017, 18:56
Благодарил (а): 1 раз

pip install pyTelegramBotAPI

Сообщение GasMan » 17 фев 2018, 18:04

etamax, опять, 2 пункт установил, а вот с 3 те же самые проблемы, и с ресурса того же делал по инструкции
У вас нет необходимых прав для просмотра вложений в этом сообщении.


etamax
Сообщения: 381
Зарегистрирован: 16 дек 2017, 18:59
Решено: 3
Благодарил (а): 1 раз
Поблагодарили: 28 раз

pip install pyTelegramBotAPI

Сообщение etamax » 17 фев 2018, 18:09

pip -V
pip 9.0.1 from /home/msuser/.local/lib/python2.7/site-packages (python 2.7)


для этого
pip install --upgrade pip


Автор темы
GasMan
Сообщения: 27
Зарегистрирован: 12 окт 2017, 18:56
Благодарил (а): 1 раз

pip install pyTelegramBotAPI

Сообщение GasMan » 17 фев 2018, 18:31

etamax,
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Аватара пользователя

darkfenix
Сообщения: 4626
Зарегистрирован: 27 июн 2017, 10:36
Решено: 52
Откуда: Нижний Тагил
Благодарил (а): 272 раза
Поблагодарили: 877 раз

pip install pyTelegramBotAPI

Сообщение darkfenix » 17 фев 2018, 18:34

Так он же тебе написал
"Может быть вы имели ввиду install"
А у тебя написано intsall. Чувствуешь разницу.
Изображение


Автор темы
GasMan
Сообщения: 27
Зарегистрирован: 12 окт 2017, 18:56
Благодарил (а): 1 раз

pip install pyTelegramBotAPI

Сообщение GasMan » 17 фев 2018, 18:36

darkfenix, букву пропустил, ниже на скрине правильно написал же

Аватара пользователя

darkfenix
Сообщения: 4626
Зарегистрирован: 27 июн 2017, 10:36
Решено: 52
Откуда: Нижний Тагил
Благодарил (а): 272 раза
Поблагодарили: 877 раз

pip install pyTelegramBotAPI

Сообщение darkfenix » 17 фев 2018, 18:40

GasMan, не увидел.
Только что

Код: Выделить всё

darkfenix@darkfenix  ~  pip install --upgrade pip
Collecting pip
  Downloading pip-9.0.1-py2.py3-none-any.whl (1.3MB)
    100% |████████████████████████████████| 1.3MB 837kB/s 
Installing collected packages: pip
Successfully installed pip-8.1.1
You are using pip version 8.1.1, however version 9.0.1 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
 darkfenix@darkfenix  ~  inxi -S           
System:    Host: darkfenix Kernel: 4.14.17-041417-generic x86_64 (64 bit) Desktop: Cinnamon 3.6.7
           Distro: Linux Mint 18.3 Sylvia
Покажи вывод inxi -S
Изображение


Автор темы
GasMan
Сообщения: 27
Зарегистрирован: 12 окт 2017, 18:56
Благодарил (а): 1 раз

pip install pyTelegramBotAPI

Сообщение GasMan » 17 фев 2018, 18:46

darkfenix, inxi -S
System: Host: Brokoly Kernel: 4.10.0-42-generic x86_64 (64 bit)
Desktop: Cinnamon 3.4.6 Distro: Linux Mint 18.2 Sonya

Аватара пользователя

darkfenix
Сообщения: 4626
Зарегистрирован: 27 июн 2017, 10:36
Решено: 52
Откуда: Нижний Тагил
Благодарил (а): 272 раза
Поблагодарили: 877 раз

pip install pyTelegramBotAPI

Сообщение darkfenix » 17 фев 2018, 18:58

Вот сейчас в лайв-сессии
18-02-17-235731.png
Что-то ты где-то сломал.
У вас нет необходимых прав для просмотра вложений в этом сообщении.
Изображение


Автор темы
GasMan
Сообщения: 27
Зарегистрирован: 12 окт 2017, 18:56
Благодарил (а): 1 раз

pip install pyTelegramBotAPI

Сообщение GasMan » 17 фев 2018, 19:00

Есть какие-то предположения?)) Ядро не так давно откатывал, звук не работал, сейчас висит обновление ядра 4.13.0

Аватара пользователя

darkfenix
Сообщения: 4626
Зарегистрирован: 27 июн 2017, 10:36
Решено: 52
Откуда: Нижний Тагил
Благодарил (а): 272 раза
Поблагодарили: 877 раз

pip install pyTelegramBotAPI

Сообщение darkfenix » 17 фев 2018, 19:04

Тут не в ядре дело. В питоне не силен. Подождем мож подскажет кто куда копать.
Изображение


etamax
Сообщения: 381
Зарегистрирован: 16 дек 2017, 18:59
Решено: 3
Благодарил (а): 1 раз
Поблагодарили: 28 раз

pip install pyTelegramBotAPI

Сообщение etamax » 17 фев 2018, 19:08

darkfenix писал(а):
17 фев 2018, 18:58
Что-то ты где-то сломал.
Не корректный пример , пакет не поставился , не хватает -
apt install python-setuptools


4.4.0-112-generic ))

Аватара пользователя

darkfenix
Сообщения: 4626
Зарегистрирован: 27 июн 2017, 10:36
Решено: 52
Откуда: Нижний Тагил
Благодарил (а): 272 раза
Поблагодарили: 877 раз

pip install pyTelegramBotAPI

Сообщение darkfenix » 17 фев 2018, 19:11

etamax писал(а):
17 фев 2018, 19:08
Не корректный пример
Что в нем не так. pip то обновился. А целью поставить туда pyTelegramBotApi я не задавался. Я всего лишь показал что pip обновляется и пытается установить пакет на версии 18.2.
Изображение


Автор темы
GasMan
Сообщения: 27
Зарегистрирован: 12 окт 2017, 18:56
Благодарил (а): 1 раз

pip install pyTelegramBotAPI

Сообщение GasMan » 17 фев 2018, 23:31

etamax, а что-нибудь решить то удастся?)

Аватара пользователя

Chocobo
Сообщения: 9070
Зарегистрирован: 27 авг 2016, 19:57
Решено: 197
Откуда: НН
Благодарил (а): 624 раза
Поблагодарили: 2581 раз

pip install pyTelegramBotAPI

Сообщение Chocobo » 17 фев 2018, 23:53

GasMan, да можно все руками развернуть.
setuptools:

Код: Выделить всё

wget https://pypi.python.org/packages/6c/54/f7e9cea6897636a04e74c3954f0d8335cc38f7d01e27eec98026b049a300/setuptools-38.5.1.zip
unzip setuptools-38.5.1.zip
cd setuptools-38.5.1
sudo python setup.py install
pip:

Код: Выделить всё

wget https://pypi.python.org/packages/11/b6/abcb525026a4be042b486df43905d6893fb04f05aac21c32c638e939e447/pip-9.0.1.tar.gz
tar -xzvf pip-9.0.1.tar.gz
cd pip-9.0.1
sudo python setup.py install

Код: Выделить всё

▶ pip -V                 
pip 9.0.1 from /usr/local/lib/python2.7/dist-packages/pip-9.0.1-py2.7.egg (python 2.7)
Ну и следуя этой логике - с тем же успехом можно скачать и сам искомый модуль pyTelegramBotAPI и развернуть вручную без pip :)
Изображение
   
Изображение


Автор темы
GasMan
Сообщения: 27
Зарегистрирован: 12 окт 2017, 18:56
Благодарил (а): 1 раз

pip install pyTelegramBotAPI

Сообщение GasMan » 18 фев 2018, 00:08

Код: Выделить всё

~/Документы/pyTelegramBotAPI $ sudo python setup.py install
[sudo] пароль для selderey: 
running install
running bdist_egg
running egg_info
writing requirements to pyTelegramBotAPI.egg-info/requires.txt
writing pyTelegramBotAPI.egg-info/PKG-INFO
writing top-level names to pyTelegramBotAPI.egg-info/top_level.txt
writing dependency_links to pyTelegramBotAPI.egg-info/dependency_links.txt
reading manifest file 'pyTelegramBotAPI.egg-info/SOURCES.txt'
writing manifest file 'pyTelegramBotAPI.egg-info/SOURCES.txt'
installing library code to build/bdist.linux-x86_64/egg
running install_lib
running build_py
creating build/lib.linux-x86_64-2.7
creating build/lib.linux-x86_64-2.7/telebot
copying telebot/apihelper.py -> build/lib.linux-x86_64-2.7/telebot
copying telebot/__init__.py -> build/lib.linux-x86_64-2.7/telebot
copying telebot/util.py -> build/lib.linux-x86_64-2.7/telebot
copying telebot/types.py -> build/lib.linux-x86_64-2.7/telebot
creating build/bdist.linux-x86_64/egg
creating build/bdist.linux-x86_64/egg/telebot
copying build/lib.linux-x86_64-2.7/telebot/apihelper.py -> build/bdist.linux-x86_64/egg/telebot
copying build/lib.linux-x86_64-2.7/telebot/__init__.py -> build/bdist.linux-x86_64/egg/telebot
copying build/lib.linux-x86_64-2.7/telebot/util.py -> build/bdist.linux-x86_64/egg/telebot
copying build/lib.linux-x86_64-2.7/telebot/types.py -> build/bdist.linux-x86_64/egg/telebot
byte-compiling build/bdist.linux-x86_64/egg/telebot/apihelper.py to apihelper.pyc
byte-compiling build/bdist.linux-x86_64/egg/telebot/__init__.py to __init__.pyc
byte-compiling build/bdist.linux-x86_64/egg/telebot/util.py to util.pyc
byte-compiling build/bdist.linux-x86_64/egg/telebot/types.py to types.pyc
creating build/bdist.linux-x86_64/egg/EGG-INFO
copying pyTelegramBotAPI.egg-info/PKG-INFO -> build/bdist.linux-x86_64/egg/EGG-INFO
copying pyTelegramBotAPI.egg-info/SOURCES.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying pyTelegramBotAPI.egg-info/dependency_links.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying pyTelegramBotAPI.egg-info/requires.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying pyTelegramBotAPI.egg-info/top_level.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
zip_safe flag not set; analyzing archive contents...
creating 'dist/pyTelegramBotAPI-3.5.2-py2.7.egg' and adding 'build/bdist.linux-x86_64/egg' to it
removing 'build/bdist.linux-x86_64/egg' (and everything under it)
Processing pyTelegramBotAPI-3.5.2-py2.7.egg
Copying pyTelegramBotAPI-3.5.2-py2.7.egg to /usr/local/lib/python2.7/dist-packages
Adding pyTelegramBotAPI 3.5.2 to easy-install.pth file

Installed /usr/local/lib/python2.7/dist-packages/pyTelegramBotAPI-3.5.2-py2.7.egg
Processing dependencies for pyTelegramBotAPI==3.5.2
Searching for requests
Reading https://pypi.python.org/simple/requests/
Download error on https://pypi.python.org/simple/requests/: unknown error (_ssl.c:2831) -- Some packages may not be found!
Couldn't find index page for 'requests' (maybe misspelled?)
Scanning index of all packages (this may take a while)
Reading https://pypi.python.org/simple/
Download error on https://pypi.python.org/simple/: unknown error (_ssl.c:2831) -- Some packages may not be found!
No local packages or working download links found for requests
error: Could not find suitable distribution for Requirement.parse('requests')

все шло хорошо, пока не начал сам следовать логике :-D вот что вышло когда попытался присоединить модуль без pip
Последний раз редактировалось пользователем 1 darkfenix; всего редактировалось раз: 18
Причина: BBcode

Аватара пользователя

Chocobo
Сообщения: 9070
Зарегистрирован: 27 авг 2016, 19:57
Решено: 197
Откуда: НН
Благодарил (а): 624 раза
Поблагодарили: 2581 раз

pip install pyTelegramBotAPI

Сообщение Chocobo » 18 фев 2018, 00:12

GasMan писал(а):
18 фев 2018, 00:08
('requests')
Не хватает еще одного зависимого модуля, о чем он тебе и говорит
https://pypi.python.org/pypi/requests
Изображение
   
Изображение

Вернуться в «Программирование, скриптинг, виртуализация»